
Figure - Bug #111703
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【BSP】【EVT】【power】【概率：1/30】插拔DC电源30次，出现一次设备进入900E
2022-09-02 17:18 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-02

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0825  DB

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version: cdiot /Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220907/202209072155-1168

Reproducibility: Rarely Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、插拔DC上下电，查看板子和屏幕开关机是否有异常

实际结果：

1、插拔DC30次出现一次板子进900E

预期结果

1、插拔DC上下电，板子和屏幕开关机一切正常

Related issues:

Related to Figure - Bug # 111349: 【BSP】【EVT】【power】【低概率】执... CLOSED 2022-09-15

History

#1 - 2022-09-02 17:20 - SZTS_TEST 邹涛

https://thundersoft.feishu.cn/file/boxcnclrOGtAvTmUIMY0oLRzegd

dump文件

#2 - 2022-09-02 17:28 - SZTS_TEST 邹涛

- Found Version changed from 0.0.0.20220902_alpha_private_userdebug to 0825  DB

#3 - 2022-09-05 22:43 - CD SYSTEM-赵正军

- % Done changed from 0 to 40

出错日志同bug111349,一起分析

#4 - 2022-09-06 15:28 - CD SYSTEM-赵正军

- File SaveWindows2022_9_2_18-24-14.TXT added
- Resolution changed from -- to DUPLICATE

#5 - 2022-09-08 15:10 - CD SYSTEM-赵正军

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

- Verified Version set to cdiot /Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220907/202209072155-1168

目前可以确定的是drivers/gpu/drm/drm_atomic.c drm_atomic_state_alloc函数里面

结构体指针config和其成员funcs存在NULL的情况.目前通过如下修改来处理指针为NULL的情况

diff --git a/drivers/gpu/drm/drm_atomic.c b/drivers/gpu/drm/drm_atomic.c

index cb3cc5a2d2ef..07332b7fda41 100644

--- a/drivers/gpu/drm/drm_atomic.c

+++ b/drivers/gpu/drm/drm_atomic.c

@@ -112,6 +112,10 @@ struct drm_atomic_state *

 drm_atomic_state_alloc(struct drm_device *dev)

 {

        struct drm_mode_config *config = &dev->mode_config;

+        if (!config || !config->funcs) {

+               printk("drmtest %d %s\n",__LINE__, __func__);

+               return NULL;

+        }

        if (!config->funcs->atomic_state_alloc) {

                struct drm_atomic_state *state;

使用VB版本测试４个小时，循环重启两百多次,没有空指针报错,提交如下

https://dev.thundercomm.com/gerrit/c/147583

还请测试同事复测确认,谢谢

#6 - 2022-09-08 15:11 - CD SYSTEM-赵正军

- % Done changed from 40 to 100

#7 - 2022-09-14 11:33 - CD TPM-申艳艳

- Category set to SYSTEM

#8 - 2022-09-15 13:38 - CD SYSTEM-赵正军

BUG同bug#111349,更新以11349为准

#9 - 2022-09-24 19:34 - SZTS_TEST 邹涛

0924号release版本插拔150次未复现，关闭该bug

#10 - 2022-09-24 19:35 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED
#11 - 2022-09-24 19:36 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

SaveWindows2022_9_2_18-24-14.TXT 703 KB 2022-09-06 CD SYSTEM-赵正军
